"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSourceSystemSettings = void 0;
const system_settings_1 = require("@ewizardjs/system-settings");
const fs_extra_1 = require("fs-extra");
const upath_1 = require("upath");
const SETTINGS_PATH = '.ewizard/settings.json';
function getSourceSystemSettings(baseDir, layoutPath) {
    return __awaiter(this, void 0, void 0, function* () {
        return (yield fs_extra_1.pathExists(upath_1.join(layoutPath, SETTINGS_PATH)))
            ? system_settings_1.get(layoutPath)
            : system_settings_1.get(baseDir);
    });
}
exports.getSourceSystemSettings = getSourceSystemSettings;
//# sourceMappingURL=getSourceSystemSettings.js.map