"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.archiveContent = void 0;
const devBuild_1 = require("./devBuild");
const Archiver_1 = require("../../modules/Archiver");
const getDevCompilationResult_1 = require("./getDevCompilationResult");
function archiveContent(presentationPath, options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { name, target, theme, scheme } = options;
        const compilationResult = yield devBuild_1.devBuild(presentationPath);
        yield (yield Archiver_1.default(presentationPath, getDevCompilationResult_1.default(compilationResult), {
            name,
            target,
            theme,
            scheme,
            rootPath: presentationPath,
        })).zip();
    });
}
exports.archiveContent = archiveContent;
//# sourceMappingURL=archiveContent.js.map