"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const toCamelCase = require('@cobalt-engine/utils').toCamelCase;
function parseCommandOptions(commander) {
    return commander.options
        .map((option) => toCamelCase(resolveParameter(option.long)))
        .filter((option) => commander.hasOwnProperty(option))
        .reduce((accum, option) => {
        accum[option] = commander[option];
        return accum;
    }, {});
}
exports.default = parseCommandOptions;
function resolveParameter(flag) {
    return flag.replace('--', '');
}
//# sourceMappingURL=parseCommandOptions.js.map