"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const ensureAuth_1 = require("./utils/ensureAuth");
const I18n_1 = require("../modules/I18n");
const chapter_1 = require("../Api/scaffolding/chapter");
const Logger_1 = require("../modules/Logger");
commander
    .name('wiz chapter')
    .parse(process.argv);
const [chapterId] = commander.args;
chapter(chapterId)
    .then(logSuccessCreate(chapterId))
    .catch(err => Logger_1.default.error(err.message));
function chapter(chapterId) {
    return __awaiter(this, void 0, void 0, function* () {
        const options = Object.assign(Object.assign({}, commander.opts()), { baseDirectory: process.cwd(), slides: [] });
        yield ensureAuth_1.default();
        const createChapter = yield chapter_1.createChapterFactory(options.baseDirectory);
        return createChapter(chapterId, options);
    });
}
function logSuccessCreate(chapterId) {
    return () => Logger_1.default.info(I18n_1.default.info('CHAPTER_CREATED', chapterId));
}
//# sourceMappingURL=wiz-chapter.js.map