"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const ensureAuth_1 = require("./utils/ensureAuth");
const action_1 = require("../Api/versionControl/action");
const Logger_1 = require("../modules/Logger");
const WizError_1 = require("../modules/WizError");
commander
    .name('wiz clone')
    .usage('wiz clone <project ID>')
    .description('wiz clone <project ID> - Clone the project by its ID')
    .parse(process.argv);
ensureAuth_1.default()
    .then(() => clone(process.cwd(), { id: commander.args[0] }))
    .catch((err) => Logger_1.default.error(err.message));
function clone(cwd, options) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!options.id) {
            throw new WizError_1.WizError('INCORRECT_PROJECT_ID');
        }
        return action_1.createVCSAction(cwd, { actionType: 'clone' }, options);
    });
}
//# sourceMappingURL=wiz-clone.js.map