"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const Logger_1 = require("../modules/Logger");
const login_1 = require("./utils/login");
const validateEwizardInstance_1 = require("./utils/validateEwizardInstance");
commander
    .name('wiz login')
    .option('-i, --instance <instance>', 'instance', validateEwizardInstance_1.default)
    .option('-u, --user <user>', 'user')
    .option('-p, --password <password>', 'password')
    .parse(process.argv);
const { user, password, instance } = commander.opts();
login({ user, password, instance })
    .catch(err => Logger_1.default.error(err.message));
function login(env = {}) {
    return login_1.doLogin(env);
}
//# sourceMappingURL=wiz-login.js.map