"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const content_checker_1 = require("@ewizardjs/content-checker");
const commander = require("commander");
const action_1 = require("../Api/versionControl/action");
const Logger_1 = require("../modules/Logger");
const ensureAuth_1 = require("./utils/ensureAuth");
commander
    .name('wiz push')
    .description('wiz push - Push your local changes to the upstream eWizard project')
    .option('-f, --force', 'Overwrites the upstream version with your local changes')
    .parse(process.argv);
ensureAuth_1.default()
    .then(() => push(process.cwd(), commander.opts()))
    .catch((err) => Logger_1.default.error(err.message));
function push(baseDir, options) {
    return __awaiter(this, void 0, void 0, function* () {
        yield content_checker_1.validateEwizardContent(baseDir);
        yield content_checker_1.validateInstalledDependencies(baseDir);
        return action_1.createVCSAction(baseDir, { actionType: 'push' }, options);
    });
}
//# sourceMappingURL=wiz-push.js.map