export declare enum ResolveConflicts {
    ApplyRemote = "upstream",
    ApplyLocal = "local",
    Manually = "manually"
}
export declare const mergeStatuses: readonly ["created", "modified", "deleted", "conflicted"];
export declare type MergeFileStatus = typeof mergeStatuses[number];
export declare type FileInfo = string | {
    file: string;
    message: string;
};
export declare type MergeStatus = Record<MergeFileStatus, FileInfo[]>;
export declare type ActionForDeleted = {
    file: string;
    action: 'deleted' | 'created' | 'skip' | 'addMessage';
    message?: string;
};
export interface PrepareOptions {
    base: string;
    local: string;
    remote: string;
}
